Completion Model ConfigCopy Pagepost https://api.humanloop.com/v4/completion-model-configCreate a completion for a specific model configuration.Body ParamsCompletion request for a specific model config.projectstringUnique project name. If no project exists with this name, a new project will be created.project_idstringUnique ID of a project to associate to the log. Either this or project must be provided.session_idstringID of the session to associate the datapoint.session_reference_idstringA unique string identifying the session to associate the datapoint to. Allows you to log multiple datapoints to a session (using an ID kept by your internal systems) by passing the same session_reference_id in subsequent log requests. Specify at most one of this or session_id.parent_idstringID associated to the parent datapoint in a session.parent_reference_idstringA unique string identifying the previously-logged parent datapoint in a session. Allows you to log nested datapoints with your internal system IDs by passing the same reference ID as parent_id in a prior log request. Specify at most one of this or parent_id. Note that this cannot refer to a datapoint being logged in the same request.inputsobjectThe inputs passed to the prompt template.Inputs objectsourcestringIdentifies where the model was called from.metadataobjectAny additional metadata to record.Metadata objectsavebooleanDefaults to trueWhether the request/response payloads will be stored on Humanloop.truefalsesource_datapoint_idstringID of the source datapoint if this is a log derived from a datapoint in a dataset.provider_api_keysobjectAPI keys required by each provider to make API calls. The API keys provided here are not stored by Humanloop. If not specified here, Humanloop will fall back to the key saved to your organization.Provider API Keys objectnum_samplesintegerDefaults to 1The number of generations.streambooleanDefaults to falseIf true, tokens will be sent as data-only server-sent events. If num_samples > 1, samples are streamed back independently.truefalseuserstringEnd-user ID passed through to provider call.seedintegerdeprecatedDeprecated field: the seed is instead set as part of the request.config object.return_inputsbooleanDefaults to trueWhether to return the inputs in the response. If false, the response will contain an empty dictionary under inputs. This is useful for reducing the size of the response. Defaults to true.truefalselogprobsintegerInclude the log probabilities of the top n tokens in the provider_responsesuffixstringThe suffix that comes after a completion of inserted text. Useful for completions that act like inserts.model_config_idstringrequiredIdentifies the model configuration used to create a chat response.Responses 200Successful Response 422Validation ErrorUpdated over 2 years ago